diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/static/js/unique_constraint.ui.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/static/js/unique_constraint.ui.js
index 055679108..5ae760b4d 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/static/js/unique_constraint.ui.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/static/js/unique_constraint.ui.js
@@ -115,13 +115,14 @@ export default class UniqueConstraintSchema extends BaseUISchema {
           allowClear:false,
           multiple: true,
           formatter: {
-            fromRaw: (backendVal)=>{
+            fromRaw: (backendVal, allOptions)=>{
               /* remove the column key and pass as array */
-              return (backendVal||[]).map((singleVal)=>singleVal.column);
+              let optValues = (backendVal||[]).map((singleVal)=>singleVal.column);
+              return _.filter(allOptions, (opt)=>optValues.indexOf(opt.value)>-1);
             },
             toRaw: (value)=>{
               /* take the array and convert to column key collection */
-              return (value||[]).map((singleVal)=>({column: singleVal}));
+              return (value||[]).map((singleVal)=>({column: singleVal.value}));
             },
           },
         },
